Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.message
Class ExpireMessageBase

    java.lang.Object
      de.knipp.rritoolkit.message.Message
          de.knipp.rritoolkit.message.ExpireMessageBase

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DomainExpireMessage, DomainExpireWarningMessage

    public abstract class ExpireMessageBase

extends Message

abstract intermediate class which operates as the base class for expire messages

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ExpireMessageBase.Entry` class that holds the domain name as well as the expiration date

Nested classes/interfaces inherited from class de.knipp.rritoolkit.message.Message
`Message.Type`

Field Summary
`private java.util.List<ExpireMessageBase.Entry>` | `domainList` list of all domains

Constructor Summary
`ExpireMessageBase()`

Method Summary
`protected void` | `dataFromList(KVList list)` setup the object's data from the given list.
`protected void` | `dataFromXml(org.w3c.dom.Element el)` setup the object's data from the given XML element.
`java.util.List<ExpireMessageBase.Entry>` | `getList()` return the list of all reported domains
`java.lang.String` | `toString()` return a string representation for debugging purposes

Methods inherited from class de.knipp.rritoolkit.message.Message
`accept, createMessage, fromList, fromXml, getCreationDate, getMessageID, getType, setData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### domainList

    private java.util.List<ExpireMessageBase.Entry> domainList

  list of all domains

Constructor Detail

### ExpireMessageBase

    public ExpireMessageBase()

Method Detail

### dataFromXml

    protected void dataFromXml(org.w3c.dom.Element el)
                        throws org.w3c.dom.DOMException,
                               ResponseParseException

  setup the object's data from the given XML element.

  Specified by:
    `dataFromXml` in class `Message`
  Parameters:
    `el` - the element
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `ResponseParseException` - if the data was not recognized

### dataFromList

    protected void dataFromList(KVList list)
                         throws ResponseParseException

  setup the object's data from the given list. Subclasses should override this method and call the superclass first.

  Specified by:
    `dataFromList` in class `Message`
  Parameters:
    `list` - the list
  Throws:
    `ResponseParseException` - if the list does not contain the expected content

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `Message`
  Returns:
    the string representation

### getList

    public java.util.List<ExpireMessageBase.Entry> getList()

  return the list of all reported domains

  Returns:
    the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH